Express v5.4.0

 

Garmin have just released 5.4.0, with a changelog of minor bug fixes for the PC but for the Mac it's

Fixed an issue with marine charts not unlocking correctly.
Other minor bug fixes and improvements

--
Where there's a will ... there's a way ... DriveSmart50LMT-D, Nuvi 2508LMT-D, 1490LMT, 1310, Montana 650T, Etrex 20

Strange...

I'm currently on GE 5.3.1.0. When I check for an update via GE, it says, "Update Available (version 5.4.0.0)".

But when I click on "Install Now", I get an error message, "The program or feature ...GarminExpressInstaller.exe cannot start or run due to incompatibility with 64-bit versions of Windows. Please contact the software vendor to ask if a 64-bit Windows compatible version is available."

I haven't previously encountered an error updating GE under Windows 10 before. I'll try again later this evening. If no change, I'll just uninstall GE, download the latest installer and start over. confused

I downloaded the installer

I downloaded the installer and ran it instead of updating through the GE app. It updated me to 5.4.0.0 and says I'm up to date. I don't see version 5.4.1. Maybe they pulled it?

No ..

My error, I've amended my post.

--
Where there's a will ... there's a way ... DriveSmart50LMT-D, Nuvi 2508LMT-D, 1490LMT, 1310, Montana 650T, Etrex 20

Thanks!

My iMac updated with no apparent problems.

--
Ted - Garmin Nuvi 1450 LM

.

i got the same error

--
nuvi 2757LM-65LM-65LM

.

Same error for me too!

Just download from the website

Seapup wrote:

...when I click on "Install Now", I get an error message, "The program or feature ...GarminExpressInstaller.exe cannot start or run due to incompatibility with 64-bit versions of Windows...

This has happened at times for previous updates. Instead of updating within Garmin Express, just go to the website and download it directly. This has worked for me 100% of the time.

http://software.garmin.com/en-US/express.html

dobs108 smile

Thanks

... for the info. Also downloaded GE and then did the update.

Always got to stay updated .

Thanks for the heads up.

Install fails on two different Win 7 Pro 64bit machines

On two Windows 7 64 bit machines that Garmin Express release updates have previously been installed many times without problem, fails with GE 5.4.1

Same error on both machines... when attempting to update from within Garmin Express...

---------------------------
Unsupported 16-Bit Application
---------------------------
The program or feature "??C:UsersOwnerAppDataLocalTempGarminExpressInstaller.exe" cannot start or run due to incompatibity with 64-bit versions of Windows. Please contact the software vendor to ask if a 64-bit Windows compatible version is available.

As mentioned by others if downloaded from Garmin Express download page, it installs OK.

Thanks dobs108

I couldn't upgrade neither on my Windows 7 but using your link worked like a charm smile

--
Nüvi 255WT with nüMaps Lifetime North America born on 602117815 / Nüvi 3597LMTHD born on 805972514 / I love Friday’s except when I’m on holidays ~ canuk

Again (in the middle of the night)...

My mid-2012 MacBook Pro updated with no apparent problems.

--
Ted - Garmin Nuvi 1450 LM

I'm getting a pop up window

I'm getting a pop up window indicating that it is NOT COMPATABLE with 64 Bit Windows 7...

???

--
A 2689LMT in both our cars that we love... and a Nuvi 660 with Lifetime Maps that we have had literally forever.... And a 2011 Ford Escape with Nav System that is totally ignored!

And when I try and download

And when I try and download from the link above... it stalls at 2 min.....

No... Seeing that there is nothing yet to use GE for (No New Maps), I'll wait until Garmin fixes the fix.... and update through the program!!!

--
A 2689LMT in both our cars that we love... and a Nuvi 660 with Lifetime Maps that we have had literally forever.... And a 2011 Ford Escape with Nav System that is totally ignored!

Thank you

Updated on Windows 10 without any problems.

Website

Thanks for the link. I was getting the error as well

Same here

Unsupported error. I will use the link and install
Thank you

--
Garmin Nuvi 765T, Garmin Drive 60LM

A surprise

Many of the early versions of GE gave me untold problems but recently it's done very well both for GE updates and updates to my devices.

I was therefore somewhat surprised to see the "64-bit error message" as reported in this thread when trying to update the program.

As others have found, simply installing from the Garmin GE download link worked fine for me. I did not uninstall my current version of GE but simply ran the installation. All worked well and I'm now up to date.

permission to download

JanJ wrote:

And when I try and download from the link above... it stalls at 2 min...

When the download stalls, look carefully at the browser window. There may be a small box or window to click on to "allow download from this site." This could be in the upper right corner in Chrome or the bottom middle in IE. Other browsers must have the same thing. After permission is given by you, the download will actually begin.

dobs108 smile

Self-Update failed

Many days of self-Update (C:Program Files (x86)GarminExpress SelfUpdateresu.exe) failures in system log (CLR20r3 System.IO.FileNotFoundException) on Windows 10 Pro.

Checked for an update in GE - "Update Available (version 5.4.0.0)". Nothing happens when I tried to update.

Tried manual update from 5.3.1.0 using the download link. Successfully installed, but there was a new popup message saying that .NET Framework 3.5 needed.

--
Nüvi 2595LMT

.NET Framework is needed

WAASup wrote:

...Tried manual update from 5.3.1.0 using the download link. Successfully installed, but there was a new popup message saying that .NET Framework 3.5 needed.

.NET Framework 3.5 is definitely needed today, along with all updates afterward.

https://www.microsoft.com/en-us/search/result.aspx?q=downloa...

This is one link, but for Windows 8 or Windows 10 there are other pages.

dobs108 smile

I was wrong!

.NET Framework 3.5, 4.5, and 4.5.1 are all needed for Garmin products.

Garmin Support:

https://support.garmin.com/faqSearch/en-US/faq/content/2TGea...

There is also a link to the Microsoft .NET Framework Repair Tool.

Some members always have problems updating Garmin Express, while others (like me) do not. Could .NET Framework be the cause? I have installed all three versions on Windows 7, fully updated. However, I just checked Control Panel/Programs and Features, and I only have .NET Framework 4.6.1! I assume that it does the job of the three previous versions.

dobs108 smile

.NET

dobs108 wrote:

I just checked Control Panel/Programs and Features, and I only have .NET Framework 4.6.1! I assume that it does the job of the three previous versions.

I have .NET Framework 4.7 installed on Windows 10 Creators Update.

Previously I had .NET 4.6.2 on Windows 10 Anniversary Update. I don't recall seeing the popup message ".NET Framework 3.5 needed." when I installed GE then.

GE has been functioning fine without .NET 3.5 on my system.

--
Nüvi 2595LMT

GE installed fine without 3.5

Yes, WAASup, your popup said .NET Framework 3.5 was needed, but GE installed fine without it. .Net Framework 4.7 must do the job for all previous versions, but the Garmin software doesn't know about it.

dobs108 smile

My results

dobs108 wrote:

.NET Framework 3.5, 4.5, and 4.5.1 are all needed for Garmin products.

Garmin Support:

https://support.garmin.com/faqSearch/en-US/faq/content/2TGea...

There is also a link to the Microsoft .NET Framework Repair Tool.

Some members always have problems updating Garmin Express, while others (like me) do not. Could .NET Framework be the cause? I have installed all three versions on Windows 7, fully updated. However, I just checked Control Panel/Programs and Features, and I only have .NET Framework 4.6.1! I assume that it does the job of the three previous versions.

dobs108 smile

A good thought. I used the little program Raymondcc .NET Detector and see that my Win 10 64-bit PC (Windows up to date and without the Creators Update) reports that I have .NET 2.0 SP2, 3.0 SP2, 3.5 SP1, and 4.6.2 present. My PC gave the earlier mentioned error when trying to update Garmin Express so to me it seems that this GE new version update attempt failure is not due to a missing .NET Framework. As I stated above, like others I was able to install the latest GE by installing it as a new program rather than using the last version's update method.

[Later]
On a 2nd Win 10 64-bit PC (up to date and with the new Microsoft Creators Update), the installation went well. On this PC, the Raymondcc .Net Detector results were the same as above except that now the only .NET 4.x installed was 4.7. Could this mean that the Garmin Express Update failed earlier without the 4.7?

This is beyond my pay grade but I offer my results to see what others report.

If it helps any

First time I've had problems updaing Garmin Express & have .NET Framework 4.5.2 on Windows 7

--
Nüvi 255WT with nüMaps Lifetime North America born on 602117815 / Nüvi 3597LMTHD born on 805972514 / I love Friday’s except when I’m on holidays ~ canuk

Vista 64

On my Vista 64 laptop (I know I am on borrowed time already!) from within Express, the download step seemed to finish, but the update step never started. There was no error message that I could see, but the process just stopped. I used the link and performed the update outside Express, and everything finished without incident.

Even though they didn't list it in the release notes, Garmin did "fix" something with .NET because they closed a thread in their forum saying the .NET issue was "fixed" in 5.4.0. It seems their "fix" hosed up something else.

Here is the thread from the Garmin forum:
New esu.exe .NET error entry in Event Viewer since 5.3.0.0 release

--
Alan - Android Auto, DriveLuxe 51LMT-S, DriveLuxe 50LMTHD, Nuvi 3597LMTHD, Oregon 550T, Nuvi 855, Nuvi 755T, Lowrance Endura Sierra, Bosch Nyon

Thank You

Downloading...

Smooth sailing

Thanks for the heads up. Updated without issue. Smooth sailing for me.

no problem

Just updated using regular GE updater with no problems win 10 64 bit.

--
garry

.

Thanks for the info!

--
Michael (Nuvi 2639LMT)

Windows 10 64 bit

MikeG1 wrote:

Updated on Windows 10 without any problems.

Same here

--
Garmin Nuvi 2699 with 2017.30 Maps

me too

garry1p wrote:

Just updated using regular GE updater with no problems win 10 64 bit.

I just updated to 5.4.0.0 via the "about" update link on the GE interface. Looked like it wasn't going to take as it was initializing for a good few minutes but eventually got going with no problem.

--
. 2 Garmin DriveSmart 61 LMT-S, Nuvi 2689, 2 Nuvi 2460, Zumo 550, Zumo 450, Uniden R3 radar detector with GPS built in, includes RLC info. Uconnect 430N Garmin based, built into my Jeep. .

Firefox used.... Don't

Firefox used.... Don't know... will try again.

--
A 2689LMT in both our cars that we love... and a Nuvi 660 with Lifetime Maps that we have had literally forever.... And a 2011 Ford Escape with Nav System that is totally ignored!

No, it was something at

No, it was something at Garmin that day... Today it downloaded lickety-split! Updated fine on W7-64

--
A 2689LMT in both our cars that we love... and a Nuvi 660 with Lifetime Maps that we have had literally forever.... And a 2011 Ford Escape with Nav System that is totally ignored!

Self-updater fixed in 5.4.0

alandb wrote:

Even though they didn't list it in the release notes, Garmin did "fix" something with .NET because they closed a thread in their forum saying the .NET issue was "fixed" in 5.4.0. It seems their "fix" hosed up something else.

Here is the thread from the Garmin forum:
New esu.exe .NET error entry in Event Viewer since 5.3.0.0 release

Thanks alandb.

I checked the self-updater logs and the esu.exe error has been fixed by 5.4.0.0

--
Nüvi 2595LMT

Thanks

Thanks for the heads-up..

--
"Everything in excess! To enjoy the flavor of life, take big bites. Moderation is for monks" ~ Excerpt from the notebooks of Lazarus Long, from Robert Heinlein's "Time Enough for Love"

GE

Just updated to GE 5.4.0.0 as well as to 2018.1 maps. Had no possible way to update maps since last October.

On one machine GE updated right from the link within itself.
Second machine would not update. Kept getting error message that I do not have admin privileges.

By downloading GE directly from Garmin I was able to install GE without a problem.

--
Nuvi 350 long gone, Nuvi 855LMT, Nuvi 2797LMT, DriveSmart 50 LMT-HD, 3790LMT now my daughters. Using Windows 10. DashCam A108C with GPS.

Thanks

Updating. smile

Internal link worked ok

The link from within GE worked just fine on my 64bit Win 7 machine.

.

Booted into Win 10 Pro on build 1703, and DL'd GE 5.4.0 from the GE program. So far, so good.

--
nüvi 3790T | nüvi 775T | Those who make peaceful revolution impossible, will make violent revolution inevitable ~ JFK

Updated

...on Win 10 with no problems.

Why is it...

That every time I go to do a map update GE tells me that it will take "hours" to do the update, yet it finishes in much less time ("minutes"). Even Micro$loth can estimate update times better than this.....

mine too

LeapFroggie wrote:

That every time I go to do a map update GE tells me that it will take "hours" to do the update, yet it finishes in much less time ("minutes"). Even Micro$loth can estimate update times better than this.....

I have two Nuvi 2460's, two Zumo's (450 & 550) and a Nuvi 2689. When downloading new maps everyone of them has a crazy countdown timer,it's all over the place, up & down, and never even close to exact.

--
. 2 Garmin DriveSmart 61 LMT-S, Nuvi 2689, 2 Nuvi 2460, Zumo 550, Zumo 450, Uniden R3 radar detector with GPS built in, includes RLC info. Uconnect 430N Garmin based, built into my Jeep. .